import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.dns.zones.list()
page = page.zones[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DNS.Zones.List(context.TODO(), dns.ZoneListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/dns/v2/zones \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/dns/v2/zones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_amount": 123,
"zones": [
{
"client_id": 123,
"contact": "<string>",
"dnssec_enabled": true,
"dnssec_status": "<string>",
"dnssec_status_modified_on": "<string>",
"enabled": true,
"expiry": 123,
"id": 123,
"meta": {},
"name": "<string>",
"nx_ttl": 123,
"primary_server": "<string>",
"records": [
{
"name": "<string>",
"short_answers": [
"<string>"
],
"ttl": 123,
"type": "<string>"
}
],
"refresh": 123,
"retry": 123,
"rrsets_amount": {
"dynamic": {
"healthcheck": 123,
"total": 123
},
"static": 123,
"total": 123
},
"serial": 123,
"status": "<string>"
}
]
}This response has no body data.List of Zones
Show created zones with pagination managed by limit and offset params. All query params are optional.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.dns.zones.list()
page = page.zones[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/dns"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.DNS.Zones.List(context.TODO(), dns.ZoneListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Amount of records to skip before beginning to write in response.
Max number of records in response
Field name to sort by
Ascending or descending order
asc, desc to pass several ids id=1&id=3&id=5...
to pass several client_ids client_id=1&client_id=3&client_id=5...
to pass several names name=first&name=second...
Zones with dynamic RRsets
Zones with RRsets that have healthchecks
Filter by AXFR secondary zone marker (meta.is_secondary).
true returns only secondary zones, false returns only zones without that marker
(primary zones have no is_secondary key at all), omitted returns all zones.
Was this page helpful?